> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Debug Logs API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To fetch debug logs of a specific conversation.

| Field             | Value                                                                                                                                                              |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **Method**        | GET                                                                                                                                                                |
| **Endpoint**      | `https://{{host}}/api/{{version}}/{{BotID}}/debuglogs?identity={{identity}}&channelType={{channelType}}&minimumInfo=true&limit=5&offset=300&timezone={{timezone}}` |
| **Content Type**  | `application/json`                                                                                                                                                 |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token).                                   |
| **API Scope**     | App Builder: Debug Logs; Admin Console: Not Applicable                                                                                                             |

## Path Parameters

| Parameter | Description                                                  |
| --------- | ------------------------------------------------------------ |
| `host`    | Environment URL, for example, `https://platform.kore.ai`.    |
| `BotID`   | Bot ID. Access it from the General Settings page of the bot. |

## Sample Request

```bash theme={null}
curl -X GET \
   'https://{{host}}/api/1.1/{{BotID}}/debuglogs?identity={{id}}&channelType=ivrVoice&minimumInfo=true&limit=5&offset=300&timezone=America/New_York' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}'
```

## Query Parameters

| Parameter     | Description                                                       |
| ------------- | ----------------------------------------------------------------- |
| `version`     | API version. The current version is `1.1`.                        |
| `identity`    | The channel-specific user identifier.                             |
| `channelType` | The channel type for which to fetch logs.                         |
| `minimumInfo` | Set to `true` to return minimal information.                      |
| `limit`       | Number of records to return.                                      |
| `offset`      | Number of records to skip.                                        |
| `timezone`    | Timezone for the log timestamps, for example, `America/New_York`. |
